Mailinglist Archive: opensuse-packaging (284 mails)

< Previous Next >
Re: [opensuse-packaging] One more perl question
Hi,

Am 21.02.2011 19:32, schrieb Greg Freemyer:
Thanks Chris,

You prompted me to look again at my specfile and I realized I didn't
have a build requires for the base NetPacket package.

BuildRequires: perl-NetPacket

Ie. all of the below where causing OBS to report non-resolvable, so I
commented them out, but did not add the base BuildRequires statement.
# BuildRequires: perl-NetPacket-IP
# BuildRequires: perl-NetPacket-TCP
# BuildRequires: perl-NetPacket-UDP
# BuildRequires: perl-NetPacket-Ethernet

if you Build-/Require any other perl module than do it
this way:
BuildRequires: perl(NetPacket::IP)
and not:
BuildRequires: perl-Netpacket-IP
Now that I've done that, the warnings have gone away.

fine
==
At this point I have 10 packages from CPAN that are not yet in a OBS
devel project. Should I SR them to d:l:p or to d:l:p:CPAN.

d:l:p please
I've added zero value / patches to the cpan packages, so I assume to
the CPAN repo?

no, AFAIK this is a testing repo from Hackweek.
Thanks
Greg


Cheers
Chris

--

Christian
---------------------------------------------------
Der ultimative shop für Sportbekleidung und Zubehör

http://www.sc24.de
---------------------------------------------------

--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups